package cn.com.qmth.examcloud.core.reports.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.reports.api.StudentOperateLogCloudService;
import cn.com.qmth.examcloud.core.reports.api.response.CleanStudentOperateLogResp;
import cn.com.qmth.examcloud.core.reports.service.OperateService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "学生操作日志")
@RequestMapping("${$rmp.cloud.reports}"+"studentOperate")
public class StudentOperateLogCloudServiceProvider extends ControllerSupport implements StudentOperateLogCloudService {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5830037529546749521L;
	@Autowired
	private OperateService operateService;


	@ApiOperation(value = "清理过期数据")
    @PostMapping("/clean")
	@Override
	public CleanStudentOperateLogResp clean() {
		CleanStudentOperateLogResp res=new CleanStudentOperateLogResp();
		operateService.clean();
		return res;
	}
}
