package cn.com.qmth.examcloud.core.reports.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.reports.api.UserCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.response.SaveUserCountResp;
import cn.com.qmth.examcloud.core.reports.service.UserCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "后台用户在线人数接口")
@RequestMapping("${$rmp.cloud.reports}"+"userCount")
public class UserCountCloudServiceProvider extends ControllerSupport implements UserCountCloudService {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3472625622982671318L;
	@Autowired
	private UserCountService userCountService;
	
	@ApiOperation(value = "计算在线人数")
    @PostMapping("/saveCount")
	@Override
	public SaveUserCountResp saveCount() {
		userCountService.saveCount();
		return new SaveUserCountResp();
	}


}
