package cn.com.qmth.examcloud.core.reports.base.bean;

import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class ExamOrgReportMainBean implements JsonSerializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1825839376905271279L;
	@ApiModelProperty(value = "项目id")
	private Long projectId;
	@ApiModelProperty(value = "rootOrgId")
	private Long rootOrgId;
	@ApiModelProperty(value = "examId")
	private Long examId;
	@ApiModelProperty(value = "考试名称")
	private String examName;
	@ApiModelProperty(value = "考试code")
	private String examCode;
	@ApiModelProperty(value = "中心id")
	private Long orgId;
	@ApiModelProperty(value = "中心名称")
	private String orgName;
	@ApiModelProperty(value = "中心code")
	private String orgCode;
	@ApiModelProperty(value = "报名人数")
	private Long signCount;
	@ApiModelProperty(value = "实考人数")
	private Long participantCount;
	@ApiModelProperty(value = "实考人数/报名人数比率（%）")
	private Double participantRatio;
	@ApiModelProperty(value = "缺考人数")
	private Long missCount;
	@ApiModelProperty(value = "缺考率（%）")
	private Double missRatio;
	@ApiModelProperty(value = "及格人数")
	private Long passCount;
	@ApiModelProperty(value = "及格报名人数占比（%）")
	private Double passSignRatio;
	@ApiModelProperty(value = "及格实考人数占比（%）")
	private Double passParticipantRatio;
	@ApiModelProperty(value = "分段人数数据")
	private List<PartitionDataBean> partitionData;
	public Long getProjectId() {
		return projectId;
	}
	public void setProjectId(Long projectId) {
		this.projectId = projectId;
	}
	public Long getRootOrgId() {
		return rootOrgId;
	}
	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public String getExamName() {
		return examName;
	}
	public void setExamName(String examName) {
		this.examName = examName;
	}
	public String getExamCode() {
		return examCode;
	}
	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}
	public Long getOrgId() {
		return orgId;
	}
	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}
	public String getOrgName() {
		return orgName;
	}
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	public Long getSignCount() {
		return signCount;
	}
	public void setSignCount(Long signCount) {
		this.signCount = signCount;
	}
	public Long getParticipantCount() {
		return participantCount;
	}
	public void setParticipantCount(Long participantCount) {
		this.participantCount = participantCount;
	}
	public Long getMissCount() {
		return missCount;
	}
	public void setMissCount(Long missCount) {
		this.missCount = missCount;
	}
	public Double getMissRatio() {
		return missRatio;
	}
	public void setMissRatio(Double missRatio) {
		this.missRatio = missRatio;
	}
	public Long getPassCount() {
		return passCount;
	}
	public void setPassCount(Long passCount) {
		this.passCount = passCount;
	}
	public Double getPassSignRatio() {
		return passSignRatio;
	}
	public void setPassSignRatio(Double passSignRatio) {
		this.passSignRatio = passSignRatio;
	}
	public List<PartitionDataBean> getPartitionData() {
		return partitionData;
	}
	public void setPartitionData(List<PartitionDataBean> partitionData) {
		this.partitionData = partitionData;
	}
	public Double getPassParticipantRatio() {
		return passParticipantRatio;
	}
	public void setPassParticipantRatio(Double passParticipantRatio) {
		this.passParticipantRatio = passParticipantRatio;
	}
	public Double getParticipantRatio() {
		return participantRatio;
	}
	public void setParticipantRatio(Double participantRatio) {
		this.participantRatio = participantRatio;
	}

	
}
