package cn.com.qmth.examcloud.core.reports.base.bean;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class PartitionTopTen<T> {
	@ApiModelProperty(value = "分段人数后十")
	private List<T> countAsc;
	@ApiModelProperty(value = "分段人数前十")
	private List<T> countDesc;
	@ApiModelProperty(value = "分段人数/报名人数比例后十")
	private List<T> signRatioAsc;
	@ApiModelProperty(value = "分段人数/报名人数比例前十")
	private List<T> signRatioDesc;
	@ApiModelProperty(value = "分段人数/实考人数比例后十")
	private List<T> participantRatioAsc;
	@ApiModelProperty(value = "分段人数/实考人数比例前十")
	private List<T> participantRatioDesc;
	public List<T> getCountAsc() {
		return countAsc;
	}
	public void setCountAsc(List<T> countAsc) {
		this.countAsc = countAsc;
	}
	public List<T> getCountDesc() {
		return countDesc;
	}
	public void setCountDesc(List<T> countDesc) {
		this.countDesc = countDesc;
	}
	public List<T> getSignRatioAsc() {
		return signRatioAsc;
	}
	public void setSignRatioAsc(List<T> signRatioAsc) {
		this.signRatioAsc = signRatioAsc;
	}
	public List<T> getSignRatioDesc() {
		return signRatioDesc;
	}
	public void setSignRatioDesc(List<T> signRatioDesc) {
		this.signRatioDesc = signRatioDesc;
	}
	public List<T> getParticipantRatioAsc() {
		return participantRatioAsc;
	}
	public void setParticipantRatioAsc(List<T> participantRatioAsc) {
		this.participantRatioAsc = participantRatioAsc;
	}
	public List<T> getParticipantRatioDesc() {
		return participantRatioDesc;
	}
	public void setParticipantRatioDesc(List<T> participantRatioDesc) {
		this.participantRatioDesc = participantRatioDesc;
	}
	
}
