package cn.com.qmth.examcloud.core.reports.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.reports.dao.entity.share.IdEntity;

@Entity
@Table(name = "ec_r_exam_student_count", indexes = {
		@Index(name = "IDX_R_EXAM_STUDENT_COUNT_01", columnList = "rootOrgId,examId", unique = true),
		@Index(name = "IDX_R_EXAM_STUDENT_COUNT_02", columnList = "examId", unique = false) })
public class ExamStudentCountEntity extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8818247713349613850L;
	@NotNull
	private Long rootOrgId;
	@NotNull
	private Long examId;
	@NotNull
	private Integer onlineCount;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Integer getOnlineCount() {
		return onlineCount;
	}

	public void setOnlineCount(Integer onlineCount) {
		this.onlineCount = onlineCount;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}
}
